[OS-BUILD PATCH] [redhat] scripts: check for `gitlab` command in ark-create-release.sh

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Patrick Talbert <ptalbert@xxxxxxxxxx>

[redhat] scripts: check for `gitlab` command in ark-create-release.sh

We should not run this script without it.

Signed-off-by: Patrick Talbert <ptalbert@xxxxxxxxxx>

diff --git a/redhat/scripts/ci/ark-create-release.sh b/redhat/scripts/ci/ark-create-release.sh
index blahblah..blahblah 100755
--- a/redhat/scripts/ci/ark-create-release.sh
+++ b/redhat/scripts/ci/ark-create-release.sh
@@ -7,6 +7,14 @@
 
 set -e
 
+# This script requires the `gitlab` command to locate `Include in Releases` content.
+if ! command -v gitlab 2>&1 > /dev/null; then
+	echo "Required command 'gitlab' (from python-gitlab package) not present."
+	exit 1
+fi
+
+exit 0
+
 # source common CI functions and variables
 # shellcheck disable=SC1091
 . "$(dirname "$0")"/ark-ci-env.sh

--
https://gitlab.com/cki-project/kernel-ark/-/merge_requests/3439

-- 
_______________________________________________
kernel mailing list -- kernel@xxxxxxxxxxxxxxxxxxxxxxx
To unsubscribe send an email to kernel-leave@xxxxxxxxxxxxxxxxxxxxxxx
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/kernel@xxxxxxxxxxxxxxxxxxxxxxx
Do not reply to spam, report it: https://pagure.io/fedora-infrastructure/new_issue




[Index of Archives]     [Fedora General Discussion]     [Older Fedora Users Archive]     [Fedora Advisory Board]     [Fedora Security]     [Fedora Devel Java]     [Fedora Legacy]     [Fedora Desktop]     [ATA RAID]     [Fedora Marketing]     [Fedora Mentors]     [Fedora Package Announce]     [Fedora Package Review]     [Fedora Music]     [Fedora Packaging]     [Centos]     [Fedora SELinux]     [Coolkey]     [Yum Users]     [Tux]     [Yosemite News]     [KDE Users]     [Fedora Art]     [Fedora Docs]     [USB]     [Asterisk PBX]

  Powered by Linux